Межсайтовый скриптинг в IntegraMOD

Дата публикации:
19.06.2006
Дата изменения:
13.09.2008
Всего просмотров:
2719
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2984
CVE-2006-2985
CVE-2006-4368
CVE-2006-4369
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
IntegraMOD 1.x
Уязвимые версии: IntegraMOD 1.4.0, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "STYLE_URL" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "phpbb_root_path" в сценариях includes/functions_portal.php и includes/functions.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: www.integramod2.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Multiple Sql injection and XSS in integramod portal
http://www.nukedx.com/?viewdoc=47
http://milw0rm.com/exploits/2256

или введите имя

CAPTCHA